import request from './request'

export const VisitorAPI = {
  /**
   * 获取服务器负载信息
   */
  getServerLoad() {
    return request.get('/GetServerLoad', {
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      }
    })
  },

  /**
   * 添加离线下载任务
   * @param {string} url 下载链接
   */
  addOfflineTask(url) {
    return request.post('/AddOfflineTask', null, {
      params: { url },
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      }
    })
  },

  /**
   * 获取我的任务列表
   */
  getMyTasks() {
    return request.get('/GetMyTasks', {
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      }
    })
  },

  /**
   * 删除访客信息
   */
  deleteVisitorInfo() {
    return request.delete('/VisitorManagement/DeleteInfo', {
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      }
    })
  }
} 