import FingerprintJS from '@fingerprintjs/fingerprintjs'

let cachedFingerprint = null
let fpPromise = null

// 初始化函数
export async function initFingerprint() {
  if (!fpPromise) {
    fpPromise = FingerprintJS.load()
  }
  
  try {
    const fp = await fpPromise
    const result = await fp.get()
    cachedFingerprint = result.visitorId
    return cachedFingerprint
  } catch (error) {
    console.error('初始化浏览器指纹失败:', error)
    return null
  }
}

export async function getFingerprint() {
  if (cachedFingerprint) {
    return cachedFingerprint
  }

  return initFingerprint()
}